Skip to main content
GET
Get project resource limits

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

project:read

Read project information

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+
projectID
string
required

Unique identifier of the project to get limits for

Response

Effective resource limits for the project

Full set of resource limits applicable to a project and its branches

maxDescriptionLength
integer
required

Maximum character length allowed for branch descriptions

Required range: x >= 25
maxBranchesPerProject
integer
required

Maximum number of branches allowed per project

maxInstancesPerBranch
integer
required

Maximum number of database instances allowed per branch

Required range: x >= 1
minInstancesPerBranch
integer
required

Minimum number of database instances required per branch

Required range: x >= 1
maxAllowedInstanceType
integer
required

Maximum VCPUs (in millicores) allowed per instance; instance types with a higher VCPUsRequest are unavailable

Required range: x >= 1
maxBranchesPerHour
integer
required

Maximum number of branches that can be created in a rolling one-hour window

Required range: x >= 1
maxStorageGBPerBranch
integer
required

Maximum storage in GiB (gigabytes) allowed per branch; 0 means no limit

Required range: x >= 0